import javax.swing.JOptionPane;

public class TestVehicules {
  public static void main(String[] args) {
    Vehicule v;
    Object[] choix = {"Voiture", "Moto", "Camion"};
 
    int reponse = JOptionPane.showOptionDialog(null,
      "Quel v\u00E9hicule choisissez-vous ?",
      "Question",
      JOptionPane.DEFAULT_OPTION,
      JOptionPane.QUESTION_MESSAGE,
      null,
      choix,
      null);
    if (reponse == 0)
      v = new Voiture();
    else if (reponse == 1)
      v = new Moto();
    else
    	v = new Camion();
    System.out.println("Une "+v.sorte()+" poss\u00E8de "+v.nbRoues()+" roues.");
  }
}
